Page MenuHomePhabricator

Please add: ftp://sitelftp.unine.ch/ to the wgCopyUploadsDomains whitelist
Closed, DeclinedPublic

Description

Author: rromir.imami

Description:
please add the following domain(s) to the wgCopyUploadsDomains whitelist:
ftp://sitelftp.unine.ch/


Version: wmf-deployment
Severity: enhancement

Details

Reference
bz65766

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:23 AM
bzimport set Reference to bz65766.
bzimport added a subscriber: Unknown Object (MLST).

That "domain" includes a protocol. FTP isn't supported. http://sitelftp.unine.ch/ gives a 403

rromir.imami wrote:

(In reply to Sam Reed (reedy) from comment #1)

That "domain" includes a protocol. FTP isn't supported.
http://sitelftp.unine.ch/ gives a 403

Thank you for your comment Sam. Does this mean that I will have to transfer the files (images) in to a http server in order to be able to use the GWToolset?

(In reply to Rromir from comment #2)

(In reply to Sam Reed (reedy) from comment #1)

That "domain" includes a protocol. FTP isn't supported.
http://sitelftp.unine.ch/ gives a 403

Thank you for your comment Sam. Does this mean that I will have to transfer
the files (images) in to a http server in order to be able to use the
GWToolset?

The server seems to already have an HTTP server listening. It's just not allowing access via HTTP. Chances are this can be fixed by updating the IIS config

rromir.imami wrote:

(In reply to Sam Reed (reedy) from comment #3)

(In reply to Rromir from comment #2)

(In reply to Sam Reed (reedy) from comment #1)

That "domain" includes a protocol. FTP isn't supported.
http://sitelftp.unine.ch/ gives a 403

Thank you for your comment Sam. Does this mean that I will have to transfer
the files (images) in to a http server in order to be able to use the
GWToolset?

The server seems to already have an HTTP server listening. It's just not
allowing access via HTTP. Chances are this can be fixed by updating the IIS
config

Am I right to conclude that FTP isn`t supported at all? If yes, than it is easier for me to upload the files in to a http server already white listed (wikimedia.ch), instead of asking the university administration in charge of the servers to make the necessary changes.
By the way, the technical side is not my strongest side, so the less tech solution would be easier for me.

TTO added a comment.May 30 2014, 11:43 AM

(In reply to Rromir from comment #4)

If yes, than it is
easier for me to upload the files in to a http server already white listed
(wikimedia.ch)

Yes, I would say to do this. There are a relatively small number of files there (~50) and so these could be copied to another site (e.g. wikimedia.ch) without too great a hassle.

CC-ing Emmanuel Engelhart of Wikimedia CH who might be able to help with the copying part.

@Rromir please ask the Unine IT department if the data available in FTP are also available via HTTP. If not try to get it. Moving dozen of GB of data from one server to another won't make your life easier.

TTO added a comment.Jun 3 2014, 12:39 PM

As best I can tell there is only about 800 MB worth of data, unless I'm looking in the wrong place...

charles.andres wrote:

For the tlong term strategy, more than 120 000 pictures, we will need to let the pictures at the unine, I asked to activate http

rromir.imami wrote:

I did upload some files on the wikimedia server (http://lan.wikimedia.ch/campestre/) and tried to batch upload them on the Beta Cluster. Apart from minor coding things, which I am figuring out how to correct, the process worked ok. I will do more tests before i finally start the proper upload.

Having the files at UNINE server (available via HTPP) will certainly make things easier.

Closed as RESO WONTFIX per previous comments, as we don't provide FTP support currently.

Please reopen this bug if/when:

  • they have setup a HTTP server to provide access to the same folders than FTP;
  • you are willing we work with the FTP ans so have opened another bug to request whether a FTP -> HTTP proxy, whether a FTP direct upload support.